Subject: Re: [PATCH 02/11] PCI: altera: Use pci_parse_request_of_pci_ranges()

From: Lorenzo Pieralisi <[email-masked]>
Date: Tue, 15 Oct 2019 12:02:54 +0100

On Mon, Sep 30, 2019 at 12:36:22PM -0500, Rob Herring wrote:
> On Mon, Sep 30, 2019 at 10:13 AM Andrew Murray <[email-masked]> wrote:
> >
> > On Wed, Sep 25, 2019 at 07:33:35AM -0500, Rob Herring wrote:
> > > On Wed, Sep 25, 2019 at 5:24 AM Andrew Murray <[email-masked]> wrote:
> > > >
> > > > On Tue, Sep 24, 2019 at 04:46:21PM -0500, Rob Herring wrote:
> > > > > Convert altera host bridge to use the common
> > > > > pci_parse_request_of_pci_ranges().
> > > > >
> > > > > Cc: Ley Foon Tan <[email-masked]>
> > > > > Cc: Lorenzo Pieralisi <[email-masked]>
> > > > > Cc: Bjorn Helgaas <[email-masked]>
> > > > > Cc: [email-masked]
> > > > > Signed-off-by: Rob Herring <[email-masked]>
> > > > > ---
> > >
> > > > > @@ -833,9 +800,8 @@ static int altera_pcie_probe(struct platform_device *pdev)
> > > > >               return ret;
> > > > >       }
> > > > >
> > > > > -     INIT_LIST_HEAD(&pcie->resources);
> > > > > -
> > > > > -     ret = altera_pcie_parse_request_of_pci_ranges(pcie);
> > > > > +     ret = pci_parse_request_of_pci_ranges(dev, &pcie->resources,
> > > >
> > > > Does it matter that we now map any given IO ranges whereas we didn't
> > > > previously?
> > > >
> > > > As far as I can tell there are no users that pass an IO range, if they
> > > > did then with the existing code the probe would fail and they'd get
> > > > a "I/O range found for %pOF. Please provide an io_base pointer...".
> > > > However with the new code if any IO range was given (which would
> > > > probably represent a misconfiguration), then we'd proceed to map the
> > > > IO range. When that IO is used, who knows what would happen.
> > >
> > > Yeah, I'm assuming that the DT doesn't have an IO range if IO is not
> > > supported. IMO, it is not the kernel's job to validate the DT.
> >
> > Sure. Is it worth mentioning in the commit message this subtle change
> > in behaviour?
> 
> Will do.

Hi Rob,

I would like to merge this series, are you resending it ? It does not
apply to v5.4-rc1, if you rebase it please also update this patch
log, as per comments above (I can do it too but if you resend it
there is no point).

Thanks,
Lorenzo

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel